<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE configuration PUBLIC "-//mybatis.org//DTD Config 3.0//EN" "http://mybatis.org/dtd/mybatis-3-config.dtd">

<configuration>
	<settings>
		<setting name="jdbcTypeForNull" value="NULL" />
	</settings>
	<typeAliases>
		<!-- egovframework -->
		<typeAlias alias="egovMap" type="egovframework.rte.psl.dataaccess.util.EgovMap" />

		<!-- kcg.faics.board.vo -->
		<typeAlias  alias="boardSearchVO" type="kcg.faics.board.vo.BoardSearchVO"/>
		<typeAlias  alias="boardVO" type="kcg.faics.board.vo.BoardVO"/>
		<typeAlias  alias="boardFileVO" type="kcg.faics.board.vo.BoardFileVO"/>
		<typeAlias  alias="boardCommentVO" type="kcg.faics.board.vo.BoardCommentVO"/>
		
		<!-- kcg.faics.cmmn.vo -->
		<typeAlias alias="codeVO" type="kcg.faics.cmmn.vo.CodeVO" />
		<typeAlias alias="baseSearchVO" type="kcg.faics.cmmn.bbs.BaseSearchVO" />
		<typeAlias alias="menuVO" type="kcg.faics.cmmn.vo.MenuVO" />

		<!-- kcg.faics.sec -->
		<typeAlias alias="loginUserVO" type="kcg.faics.sec.LoginUserVO" />
		<typeAlias alias="securityRolesVO" type="kcg.faics.sec.role.SecurityRolesVO" />

		<!-- kcg.faics.member -->
		<typeAlias alias="memberVO" type="kcg.faics.member.vo.MemberVO" />
		<typeAlias alias="memberSearchVO" type="kcg.faics.member.vo.MemberSearchVO" />
		<typeAlias alias="exmemberVO" type="kcg.faics.member.vo.ExMemberVO" />

		<!-- kcg.faics.report -->
		<typeAlias alias="reportVO" type="kcg.faics.report.vo.ReportVO" />
		<typeAlias alias="reportFileVO" type="kcg.faics.report.vo.ReportFileVO" />
		<typeAlias alias="reportSearchVO" type="kcg.faics.report.vo.ReportSearchVO" />
		<typeAlias alias="reportJudgeVO" type="kcg.faics.report.vo.ReportJudgeVO" />
		<typeAlias alias="reportCategoryVO" type="kcg.faics.report.vo.ReportCategoryVO" />
		<typeAlias alias="reportApproveVO" type="kcg.faics.report.vo.ReportApproveVO" />
		<typeAlias alias="reportGoalVO" type="kcg.faics.report.vo.ReportGoalVO" />

		<!-- kcg.faics.susa -->
		<typeAlias alias="susaSearchVO" type="kcg.faics.susa.vo.SearchVO" />
		<typeAlias alias="susaVO" type="kcg.faics.susa.vo.SusaVO" />
		<typeAlias alias="susaFileVO" type="kcg.faics.susa.vo.SusaFileVO" />
		
		<!-- kcg.faics.equip -->
		<typeAlias alias="useStateVO" type="kcg.faics.equip.vo.UseStateVO"/>
		<typeAlias alias="equipSearchVO" type="kcg.faics.equip.vo.EquipSearchVO"/>
		<typeAlias alias="stateWaitingSearchVO" type="kcg.faics.equip.vo.StateWaitingSearchVO"/>
		<typeAlias alias="approveVO" type="kcg.faics.equip.vo.ApproveVO"/>
		<typeAlias alias="equipVO" type="kcg.faics.equip.vo.EquipVO"/>
		
		<!-- kcg.faics.edu -->
		<typeAlias alias="eduVO" type="kcg.faics.fa.vo.EduVO"/>
		<typeAlias alias="eduSearchVO" type="kcg.faics.fa.vo.EduSearchVO"/>
		
		<!-- kcg.faics.tg -->
		<typeAlias alias="weakPlaceVO" type="kcg.faics.tg.vo.WeakPlaceVO"/>
		<typeAlias alias="weakPlaceSearchVO" type="kcg.faics.tg.vo.WeakPlaceSearchVO" />
		<typeAlias alias="corpVO" type="kcg.faics.tg.vo.CorpVO"/>
		<typeAlias alias="corpSearchVO" type="kcg.faics.tg.vo.CorpSearchVO" />
		<typeAlias alias="divMngVO" type="kcg.faics.tg.vo.DivMngVO"/>
		<typeAlias alias="divMngSearchVO" type="kcg.faics.tg.vo.DivMngSearchVO" />
		<typeAlias alias="ferryVO" type="kcg.faics.tg.vo.FerryVO"/>
		<typeAlias alias="ferrySearchVO" type="kcg.faics.tg.vo.FerrySearchVO" />
		
		<!-- kcg.faics.admin -->
		<typeAlias alias="logSearchVO" type="kcg.faics.admin.vo.LogSearchVO" />
		<typeAlias alias="logVO" type="kcg.faics.admin.vo.LogVO" />
		
		<!-- kcg.faics.arrest -->
		<typeAlias alias="arrestVO" type="kcg.faics.arrest.vo.ArrestVO"/>		
		<typeAlias alias="arrestCountVO" type="kcg.faics.arrest.vo.ArrestCountVO"/>
		<typeAlias alias="arrestSearchVO" type="kcg.faics.arrest.vo.ArrestSearchVO"/>
		
		<typeAlias alias="internationalVO" type="kcg.faics.inter.vo.InternationalVO"/>		
		<typeAlias alias="internationalCountVO" type="kcg.faics.inter.vo.InternationalCountVO"/>
		<typeAlias alias="internationalSearchVO" type="kcg.faics.inter.vo.InternationalSearchVO"/>
    </typeAliases>

    <typeHandlers>
	        <typeHandler handler="org.apache.ibatis.type.ClobTypeHandler" jdbcType="CLOB" javaType="java.lang.String"/>
	</typeHandlers>
    
</configuration>